Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class SAXParserFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParserFactory
            |
            +--org.apache.xerces.jaxp.SAXParserFactoryImpl

public class SAXParserFactoryImpl
extends javax.xml.parsers.SAXParserFactory

This is the implementation specific class for the `javax.xml.parsers.SAXParserFactory`. This is the platform default implementation for the platform.

Constructor Summary
`SAXParserFactoryImpl()`

Method Summary
`boolean` | `getFeature(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`javax.xml.parsers.SAXParser` | `newSAXParser()` Creates a new instance of `SAXParser` using the currently configured factory parameters.
`void` | `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`isNamespaceAware, isValidating, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

Method Detail

### newSAXParser

    public javax.xml.parsers.SAXParser newSAXParser()
                                             throws javax.xml.parsers.ParserConfigurationException

  Creates a new instance of `SAXParser` using the currently configured factory parameters.
  Overrides:
    newSAXParser in class javax.xml.parsers.SAXParserFactory
  Returns:
    javax.xml.parsers.SAXParser

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws javax.xml.parsers.ParserConfigurationException,
                           SAXNotRecognizedException,
                           SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    setFeature in class javax.xml.parsers.SAXParserFactory
  Tags copied from class: javax.xml.parsers.SAXParserFactory
  Parameters:
    `name` - The name of the feature to be set.
    `value` - The value of the feature to be set.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws javax.xml.parsers.ParserConfigurationException,
                              SAXNotRecognizedException,
                              SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    getFeature in class javax.xml.parsers.SAXParserFactory
  Tags copied from class: javax.xml.parsers.SAXParserFactory
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.getProperty(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.